
From: Vojtech Pavlik <vojtech@suse.cz>

This patch disables the scroll feature on AT keyboards by default, because
it causes the numbers of mouse devices to shift, breaking user setups.

Signed-off-by: Vojtech Pavlik <vojtech@suse.cz>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/input/keyboard/atkbd.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/input/keyboard/atkbd.c~input-disable-scroll-feature-on-at-keyboards drivers/input/keyboard/atkbd.c
--- 25/drivers/input/keyboard/atkbd.c~input-disable-scroll-feature-on-at-keyboards	2005-06-06 23:36:17.000000000 -0700
+++ 25-akpm/drivers/input/keyboard/atkbd.c	2005-06-06 23:36:17.000000000 -0700
@@ -54,7 +54,7 @@ static int atkbd_softraw = 1;
 module_param_named(softraw, atkbd_softraw, bool, 0);
 MODULE_PARM_DESC(softraw, "Use software generated rawmode");
 
-static int atkbd_scroll = 1;
+static int atkbd_scroll = 0;
 module_param_named(scroll, atkbd_scroll, bool, 0);
 MODULE_PARM_DESC(scroll, "Enable scroll-wheel on MS Office and similar keyboards");
 
_
